
Robotics Systems Commons - Bug #603
Crash on MacOS upon Parsing Environment
09/30/2011 06:25 PM - S. Wrede

Status: Closed Start date: 09/30/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 0%
Category: Util Estimated time: 0.00 hour
Target version: 0.6
Description

Backtrace is as follows:

* 1 "com.apple.main-thread" 0x00007fff807280b6 in __kill ()
(gdb) bt
#0  0x00007fff807280b6 in __kill ()
#1  0x00007fff807c89f6 in abort ()
#2  0x00007fff806e0195 in free ()
#3  0x0000000100016133 in std::pair<std::string, std::string>::~pair ()
#4  0x00000001001fa84d in boost::eof_iterator<boost::environment_iterator, std::pair<std::string, std::string> >::~eof_iterator ()
#5  0x00000001001fa865 in boost::environment_iterator::~environment_iterator ()
#6  0x00000001001f97f7 in rsc::config::EnvironmentVariableSource::provideOptions ()
#7  0x0000000100325851 in rsb::ParticipantConfig::fromEnvironment (defaults=@0x7fff5fbfee50) at
/Users/swrede/Workspace/RSB/src/rsb/ParticipantConfig.cpp:277
#8  0x000000010032645a in rsb::ParticipantConfig::fromConfiguration (defaults=@0x7fff5fbfed30) at
/Users/swrede/Workspace/RSB/src/rsb/ParticipantConfig.cpp:290
#9  0x00000001002f8268 in rsb::Factory::Factory (this=0x102506e70) at
/Users/swrede/Workspace/RSB/src/rsb/Factory.cpp:74
#10 0x0000000100141377 in rsc::patterns::Singleton<rsb::Factory>::getInstance ()
#11 0x00000001001405ee in cca::PortConfiguration::PortConfiguration ()
#12 0x0000000100140116 in cca::PortConfiguration::LOCAL ()
#13 0x0000000100013912 in PortTest_testFactory_Test::TestBody ()
#14 0x0000000100038ad3 in testing::internal::HandleSehExceptionsInMethodIfSupported<testing::Test, void> ()
#15 0x0000000100034afa in testing::internal::HandleExceptionsInMethodIfSupported<testing::Test, void> ()
#16 0x0000000100023e2f in testing::Test::Run ()
#17 0x0000000100024600 in testing::TestInfo::Run ()
#18 0x0000000100024c68 in testing::TestCase::Run ()
#19 0x000000010002966e in testing::internal::UnitTestImpl::RunAllTests ()
#20 0x00000001000392fa in testing::internal::HandleSehExceptionsInMethodIfSupported<testing::internal::UnitTestImpl, bool>
()
#21 0x00000001000355a6 in testing::internal::HandleExceptionsInMethodIfSupported<testing::internal::UnitTestImpl, bool> ()
#22 0x00000001000284d9 in testing::UnitTest::Run ()
#23 0x00000001000113b5 in main ()

History
#1 - 09/30/2011 08:38 PM - J. Wienke
- Assignee changed from J. Wienke to J. Moringen

This is your component ;)
#2 - 09/30/2011 08:48 PM - J. Moringen

http://agilesoftwaredevelopment.com/blog/mendelt/whos-owner-shared-code-vs-code-ownership ...

#3 - 10/22/2011 01:29 AM - J. Moringen
- Target version changed from 0.5 to 0.6

#4 - 12/06/2011 01:54 PM - J. Wienke

What can we do about this? I don't understand the problem.

#5 - 12/06/2011 05:26 PM - S. Wrede
- Status changed from New to Closed

Works for me (again).
